<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <li>
                <a href="">Home ></a>
            </li>
            <li class="">
                Traveller

            </li>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-6">
                        <a href="" style="text-decoration: none;color: black;">
                            <h5>Traveller Detail</h5>
                        </a>

                    </div>
               
                   
                    <div class="col-6 txtright">
                        
                        <button class="btn excelbtn" data-placement="left" data-toggle="tooltio" title="Excel" (click)="exportAsXLSX()" >
                            <i aria-hidden="true" class="fa fa-file-excel-o fa-2x"></i>
                        </button>
                    </div>
                </div>
               
                <hr>
                <div class="row py-2">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                        <div class="d-flex flex-row bd-highlight mb-3">
                            <div class="p-2 bd-highlight">
                                <!-- <button class="btn btnclrs adduser" tabindex="0">
                                    <i class="fa fa-plus-circle pr-1"></i>
                                    Add Traveller
                                </button> -->
                            </div>
                            <div class="p-2 bd-highlight">
                                <!-- <button class="btn doubleleft adduser" tabindex="0">
                                    <i class="fa fa-angle-double-left" aria-hidden="true"></i>
                                    Back
                                </button> -->
                            </div>
                           
                          </div>
                    </div>
                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search Traveller..." type="text" [(ngModel)]="searchText">
                                <div class="input-group-append">
                                    <span class="input-group-text btnclrs">
                                        <i class="fa fa-search"></i>
                                    </span>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>

                <div class="table-responsive py-2">
                    <table class="table table-striped table-bordered table-hover">
                        <thead>
                            <tr>
                                <th scope="col">S/No</th>
                                <th>Profile</th>
                                <th scope="col">First Name</th>
                                <th scope="col">Last Name</th>
                                <th scope="col">Email</th>
                                <th>Organization Email</th>
                                <th scope="col">Mobile</th>
                                <!-- <th scope="col">DOB</th> -->
                                <th scope="col">Organization name</th>
                                <th scope="col">Gender</th>
                                <th scope="col">Verified Status</th>
                                <th>View More</th>
                               <th>Actions</th>
                                <!-- <th>Send Mail</th> -->
                                <!-- <th>Kyc Document approval/Reject </th> -->
                               
                            </tr>
                        </thead>
                        <tbody>
                            <tr
                                *ngFor="let traveller of getTravellerArray | filter:searchText | paginate: { itemsPerPage: 25, currentPage: page };index as i">
                                <!-- <span *ngIf="page==1">{{(i+1)}}</span> -->
                                <td *ngIf="page>1">{{((page-1)*25)+(i+1)}}</td>
                                <td *ngIf="page==1">{{i+1}}</td>
                                <td><img class="rounded-circle" [src]="getUrl(traveller.profilepic.filename)" alt="" width="50" height="50"></td>
                                <td>{{traveller.firstname}}</td>
                                <td>{{traveller.lastname}}</td>
                                <td>{{traveller.personalEmail}}</td>
                                <td>{{traveller.organizationEmail}}</td>
                                <td>{{traveller.mobile}}</td>
                                <!-- <td>{{traveller.dob}}</td> -->
                                <td>{{traveller.organizationName}}</td>
                                <td>{{traveller.gender}}</td>
                                <td>
                                    <ui-switch [(ngModel)]="traveller.verifiedTravellerStatus"></ui-switch>
                                </td>
                                <td>
                                    <span class="pr-2" tabindex="0" [routerLink]="['traveller_kyc',traveller.uid]" >
                                        <i class="fa fa-eye edit_icn" aria-hidden="true"></i>
                                    </span>   
                                </td>   
                               
                               <td (click)="delete(traveller.uid)">
                                <a>
                                    <i class="fa fa-trash fa-lg" aria-hidden="true"></i>
                                </a>
                              
                            </td>
                               
                            </tr>

                        </tbody>
                    </table>
                    
                </div>
              
                <div class="text-center">
                    <pagination-controls (pageChange)="page = $event"></pagination-controls>
                </div>
            </div>
        </div>
    </div>
</section>


